> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a ticket

> Update a group of existing tickets. Up to 100 tickets can be updated in a single request. The request body will be an array, with each element containing the ID of the ticket to update and a list of properties to update for that ticket. See the examples for details.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['tickets']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-tickets-v1.json POST /crm-objects/v1/objects/tickets
openapi: 3.0.0
info:
  title: CRM Tickets API v1
  version: 1.0.0
  description: >-
    Use the tickets API to create and manage CRM records that represent customer
    service requests in your CRM.
  x-hubspot-introduction: >-
    Use the tickets API to create and manage CRM records that represent customer
    service requests in your CRM.
  x-hubspot-api-use-case: >-
    When a customer contacts your support team to request help with an issue,
    create a ticket to track that request and keep a record of it for future
    reference.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/tickets:
    post:
      summary: Create a ticket
      description: >-
        Update a group of existing tickets. Up to 100 tickets can be updated in
        a single request. The request body will be an array, with each element
        containing the ID of the ticket to update and a list of properties to
        update for that ticket. See the examples for details.
      operationId: postcrmobjectsv1objectstickets
      responses:
        '200':
          description: Successful response - Update a group of existing tickets
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Create a ticket - Example 1
                  value:
                    - name: subject
                      value: This is an example ticket
                    - name: content
                      value: Here are the details of the ticket.
                    - name: hs_pipeline
                      value: '0'
                    - name: hs_pipeline_stage
                      value: '1'
                    - versions:
                        - name: hs_lastmodifieddate
                          value: '0'
                          timestamp: 0
                          source: CALCULATED
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: null
                    - versions:
                        - name: subject
                          value: This is an example ticket
                          timestamp: 1522862571921
                          source: API
                          sourceVid: []
                      value: This is an example ticket
                      timestamp: 1522862571921
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_pipeline
                          value: '0'
                          timestamp: 1522862571921
                          source: API
                          sourceVid: []
                      value: '0'
                      timestamp: 1535746946950
                      source: API
                      sourceId: null
                    - versions:
                        - name: createdate
                          value: '0'
                          timestamp: 0
                          source: API
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: API
                      sourceId: null
                    - versions:
                        - name: content
                          value: Here are the details of the ticket.
                          timestamp: 1522862571921
                          source: API
                          sourceVid: []
                      value: Here are the details of the ticket.
                      timestamp: 1522862571921
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_pipeline_stage
                          value: '1'
                          timestamp: 1522862571921
                          source: API
                          sourceVid: []
                      value: '1'
                      timestamp: 1522862571921
                      source: API
                      sourceId: ''
                    - versions:
                        - name: time_to_close
                          value: ''
                          timestamp: 1535746947086
                          source: CALCULATED
                          sourceVid: []
                          sourceMetadata: ''
                      value: ''
                      timestamp: 1535746947086
                      source: CALCULATED
                      sourceId: null
      security:
        - oauth2:
            - tickets
        - oauth2_legacy: []
        - private_apps:
            - tickets
        - private_apps_legacy: []
components: {}

````